Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.group
Class GroupCollection

    java.lang.Object
      java.util.AbstractCollection
          org.jivesoftware.openfire.group.GroupCollection

All Implemented Interfaces:
  Iterable, Collection

    public class GroupCollection

extends AbstractCollection

Provides a view of an array of group names as a Collection of Group objects. If any of the group names cannot be loaded, they are transparently skipped when iterating over the collection.

Author:
  Matt Tucker

Constructor Summary
`GroupCollection(Collection<String> collection)` Constructs a new GroupCollection.
`GroupCollection(String[] elements)` Constructs a new GroupCollection.

Method Summary
`Iterator` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### GroupCollection

    public GroupCollection(Collection<String> collection)

  Constructs a new GroupCollection.

### GroupCollection

    public GroupCollection(String[] elements)

  Constructs a new GroupCollection.

Method Detail

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in class `AbstractCollection`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in class `AbstractCollection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.